package cn.iocoder.yudao.module.delivery.mapper;

import cn.iocoder.yudao.module.delivery.entity.deptex.zTest;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

/*
 用注解实现简单的功能
 */
public interface MyTest {
    // 查询所有商品类型
    @Select("select * from z_test")
    public List<zTest> selectAll();

    // 根据类型编号查询商品类型
    @Select("select * from z_test where id = #{id}")
    zTest selectById(int id);

    // 添加商品类型
    @Insert("insert into z_test(name) values(#{name})")
    @Options(useGeneratedKeys = true, keyProperty = "id")
    public int add(zTest type);

    // 更新商品类型
    @Update("update z_test set name = #{name} where  id = #{id}")
    public int update(zTest type);
}
